<?php
namespace Mirasvit\SeoToolbar\Block\Toolbar;

/**
 * Interceptor class for @see \Mirasvit\SeoToolbar\Block\Toolbar
 */
class Interceptor extends \Mirasvit\SeoToolbar\Block\Toolbar implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, array $dataProviderPool)
    {
        $this->___init();
        parent::__construct($context, $dataProviderPool);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
